package entrustPool

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type PoolConfigRouter struct {
}

// InitPoolConfigRouter 初始化 PoolConfig 路由信息
func (s *PoolConfigRouter) InitPoolConfigRouter(Router *gin.RouterGroup) {
	poolConfigRouter := Router.Group("poolConfig").Use(middleware.OperationRecord())
	poolConfigRouterWithoutRecord := Router.Group("poolConfig")
	var poolConfigApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolConfigApi
	{
		poolConfigRouter.POST("createPoolConfig", poolConfigApi.CreatePoolConfig)   // 新建PoolConfig
		poolConfigRouter.DELETE("deletePoolConfig", poolConfigApi.DeletePoolConfig) // 删除PoolConfig
		poolConfigRouter.DELETE("deletePoolConfigByIds", poolConfigApi.DeletePoolConfigByIds) // 批量删除PoolConfig
		poolConfigRouter.PUT("updatePoolConfig", poolConfigApi.UpdatePoolConfig)    // 更新PoolConfig
	}
	{
		poolConfigRouterWithoutRecord.GET("findPoolConfig", poolConfigApi.FindPoolConfig)        // 根据ID获取PoolConfig
		poolConfigRouterWithoutRecord.GET("getPoolConfigList", poolConfigApi.GetPoolConfigList)  // 获取PoolConfig列表
	}
}
